This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 187706

Summary: Review Request: alsa-oss - Userspace OSS emulation
Product: [Fedora] Fedora Reporter: Michel Alexandre Salim <michel.salim>
Component: Package ReviewAssignee: Denis Leroy <denis>
Status: CLOSED NOTABUG QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fibonacci.prower, gilboad, jima, mishu
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-10-05 12:50:05 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Michel Alexandre Salim 2006-04-02 21:04:44 EDT
Spec Name or Url: http://hircus.org/fedora/alsa-oss/alsa-oss.spec
SRPM Name or Url: http://hircus.org/fedora/alsa-oss/alsa-oss-1.0.11-1.rc3.src.rpm
Description:
alsa-oss provides a library and a wrapper script for launching legacy OSS applications. Unlike the kernel OSS compatibility support, this has the advantage of supporting DMIX software mixing.
Comment 1 Ignacio Vazquez-Abrams 2006-04-02 23:51:18 EDT
Just out of curiosity, what's the difference between using this and having the
pcm.!default target in asound.conf?
Comment 2 Thorsten Leemhuis (ignored mailbox) 2006-04-03 00:44:45 EDT
And, BTW, alsa-oss was dropped from Extras long. See
http://www.redhat.com/archives/fedora-devel-list/2005-May/msg00619.html

Is there really a *good* reason to bring it back?

Comment 3 Michel Alexandre Salim 2006-04-03 23:44:52 EDT
Ah. I recall tinkering with asound.conf but it was a bit hit-and-miss - from
perusing this page:
http://alsa.opensrc.org/index.php?page=DmixPlugin

it's not immediately clear what are the minimal changes that needs to be made to
support DMIX-ing OSS applications.

Answering Thorsten, a comment in the discussion last May said that if DMIX is
enabled by default it would be a reason to reconsider having alsa-oss. And DMIX
is enabled by default..

Ignacio, if you could provide a simple change to asound.conf that enables DMIX
for OSS applications and nothing else, and bugzilla it against .. alsa-utils or
alsa-lib?, then I would just cancel this request.
Comment 4 Thorsten Leemhuis (ignored mailbox) 2006-04-05 02:15:07 EDT
(In reply to comment #3)
> Answering Thorsten, a comment in the discussion last May said that if DMIX is
> enabled by default it would be a reason to reconsider having alsa-oss. And DMIX
> is enabled by default..

Well, that was last May. Is that comment still true? Maybe the alsa-developers
in between found some other fancy ways that work automatically and without alsa-oss.
Comment 5 Michel Alexandre Salim 2006-04-05 12:51:53 EDT
It is still true, as far as I can tell. Try ogg123 -d oss test.ogg and, while
it's playing, ogg123 -d alsa test.ogg. This will fail. If the first ogg123 uses
-d alsa, then both play fine.
Comment 6 Michel Alexandre Salim 2006-04-05 12:52:58 EDT
If someone is clever enough to work out how to aoss a 32-bit OSS application
running on x86_64, that'd be even neater.
Comment 7 Fibonacci 2006-09-25 20:52:39 EDT
There's a bunch of applications that use only OSS (Flash and Skype come to
mind), and no amount of tinkering with asound.conf / .asoundrc would allow me to
dmix them, so no other audio stream can be played while one of those apps is
running.

AOSS, on the other hand, has no problem dmixing multiple OSS streams, and I
didn't have to tweak anything. It should surely be brought back.

See this thread on Fedora forum for more information:
http://www.fedoraforum.org/forum/showthread.php?p=615401
Comment 8 Denis Leroy 2006-09-26 17:55:26 EDT
Could you provide an updated version to 1.0.12 ?

some quick nitpicks, before i do a more in-depth review:

W: alsa-oss mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 3)
W: alsa-oss-devel summary-not-capitalized alsa-oss headers

thanks!
Comment 9 Francois Aucamp 2006-09-27 05:59:53 EDT
I'm not an official reviewer, but some review comments:

* source files match upstream:
6bb04b5ca6c6f7eed4827bd054a4ddeff6fb4e99  alsa-oss-1.0.11rc3.tar.bz2

* not newest version: 
ftp://ftp.alsa-project.org/pub/oss-lib/alsa-oss-1.0.12.tar.bz2

* spec file does not use macros consistently: $RPM_BUILD_ROOT, 
${RPM_BUILD_ROOT} and $RPM_OPT_FLAGS
(See 
http://fedoraproject.org/wiki/Packaging/Guidelines#head-f3d77b27a5d29dfc1f5600ef3fc836f2e317badf )

* -devel package has static libs and libtool archives specified in %files 
section (not packaged, though), see:
http://fedoraproject.org/wiki/Packaging/Guidelines#head-2302ec1e1f44202c9cc4bcce24cb711266557ad7

* dist tag is NOT present
* spec file named correctly
* build root is correct
* license field matches actual license, license is GPL, license text included 
in package
* BuildRequires are correct
* appropriate compiler flags present
* %clean is present
* package builds in mock (FC-5, i386)

* rpmlint: 
alsa-oss SRPM:
E: alsa-oss unknown-key GPG#f77eed90
W: alsa-oss mixed-use-of-spaces-and-tabs
alsa-oss RPM: no output
alsa-oss-devel RPM:
W: alsa-oss-devel summary-not-capitalized alsa-oss headers
W: alsa-oss-devel no-documentation

* package is not relocatable
* package installs properly
* documentation is small, no need for -doc subpackage
* %docs are not necessary for the proper functioning of the package
* scriptlets are good
* code, not content
* -devel Requires correct
Comment 10 Jima 2006-09-29 14:15:43 EDT
Just passing on a suggestion Thorsten mentioned to me on IRC when I inquired
about alsa-oss; he said that the version of alsa-oss should probably be in sync
with the version of alsa-lib in Core.  For fc6, that's currently 1.0.12; for
fc5, it's 1.0.11rc2.  I'm not positive there are major potential implications if
they're not aligned (nor is he, I don't think), but it seems like a logical
enough idea.

I'd really like to see this make it into Extras, personally.  My father-in-law
nagged me about the package enough so that I rolled my own (basically just an
update of the one from fc1) before Kevin [Fenzi] pointed me toward this open
review.  Hack job or not, it resolved his Flash issue, and I suspect it'll make
other people similarly happy. :-)

Thanks! *patiently waits for the next iteration of the package*
Comment 11 Denis Leroy 2006-10-03 08:08:49 EDT
This bug will be closed as NOTABUG on 10/07, one week after I contacted the
original submitter. People interested should prepare a new SRPM for submission.
Comment 12 Jima 2006-10-03 09:40:28 EDT
Denis: Thanks for putting a finite expiration date on this review.  If no one
else is interested, I'll submit a package rolling in corrections from #8 and
(hopefully) #9.  If someone else is interested...want a co-maintainer? ;-)
Comment 13 Jima 2006-10-03 11:13:32 EDT
Just a heads-up, I finished a new SRPM with most (all?) of the fixes rolled in:

http://beer.tclug.org/fedora-extras/alsa-oss/alsa-oss.spec
http://beer.tclug.org/fedora-extras/alsa-oss/alsa-oss-1.0.12-1.fc6.src.rpm

I've also noticed the the original reporter evidently hasn't been seen on
Bugzilla since 2006-04-26, has three bugs filed against his packages, and has
had his existing packages orphaned.  In other words, I think he's gone. :-(

*begins twiddling thumbs*
Comment 14 Paul Howarth 2006-10-03 11:27:10 EDT
(In reply to comment #13)
> Just a heads-up, I finished a new SRPM with most (all?) of the fixes rolled in:
> 
> http://beer.tclug.org/fedora-extras/alsa-oss/alsa-oss.spec
> http://beer.tclug.org/fedora-extras/alsa-oss/alsa-oss-1.0.12-1.fc6.src.rpm
> 
> I've also noticed the the original reporter evidently hasn't been seen on
> Bugzilla since 2006-04-26, has three bugs filed against his packages, and has
> had his existing packages orphaned.  In other words, I think he's gone. :-(
> 
> *begins twiddling thumbs*

Given all of the above, I'd suggest raising a new review request right now so
that the new package can be "ready to go" on the 7th; this ticket can then be
closed as a duplicate of the new one at that time.
Comment 15 Denis Leroy 2006-10-03 11:35:11 EDT
+1. Please file a new package review bug. Put a quick note that says 'don't
close me' with a reference to this bug. Thx!!
Comment 16 Jima 2006-10-03 11:47:15 EDT
Denis and Paul: Thanks for the support.  I don't like stepping on people's toes,
so it's good to see when I'm not the only one who thinks something might be a
good idea.

There's a new review open at Bug 209144.
Comment 17 Denis Leroy 2006-10-05 12:50:05 EDT
Michel got back to me and asked me to close the bug. I believe he was working on
32-bit support for 64-bit platforms but things didn't pan out. We'll have to
keep that limitation in mind...
Comment 18 Jima 2006-10-05 12:58:50 EDT
Hmm.  That does present a notable amount of annoyance in regard to trying to run
flashplayer through aoss, true.  However, this package does still provide some
good for native (i.e., 64-bit on 64-bit platform) OSS binaries and flashplayer
et al on 32-bit platforms.  Ergo, I'm still willing to maintain this package.  I
appreciate Michel's original efforts (which saved me some cleanup) and following
through with this bug.  Thanks Michel!

If anyone's interested in reviewing Bug 209144, I'll be over there. :-)
Comment 19 Kevin Fenzi 2006-12-21 22:47:41 EST
Changing the blocker here to FE-DEADREVIEW instead of FE-REVIEW